package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author TRACK
 */
public class ShopRechargeInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值金额")
    private BigDecimal rechargeAmount;

    @Schema(description = "支付后，跳转的前台页面")
    private String returnUrl;

    public BigDecimal getRechargeAmount() {
        return rechargeAmount;
    }

    public void setRechargeAmount(BigDecimal rechargeAmount) {
        this.rechargeAmount = rechargeAmount;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    @Override
    public String toString() {
        return "ShopRechargeInfoDTO{" +
                "rechargeAmount=" + rechargeAmount +
                ", returnUrl='" + returnUrl + '\'' +
                '}';
    }
}
